Get Error Details
curl --request GET \
--url http://{host}:{port}/{contextPath}/external-task/{id}/errorDetails \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/external-task/{id}/errorDetails"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/external-task/{id}/errorDetails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"org.apache.ibatis.jdbc.RuntimeSqlException: org.apache.ibatis.jdbc.RuntimeSqlException: test cause\n at org.camunda.bpm.engine.test.api.externaltask.ExternalTaskServiceTest.testHandleFailureWithErrorDetails(ExternalTaskServiceTest.java:1424)\n at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n ..."{
"type": "<string>",
"message": "<string>",
"code": 123
}外部任务
获取错误详情
Retrieves the error details in the context of a running external task by id.
GET
/
external-task
/
{id}
/
errorDetails
Get Error Details
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the external task for which the error details should be retrieved.
Response
Request successful.
The error details for the external task.
⌘I